import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const url = 'https://gist.githubusercontent.com/Galineeharika/e8c2a8b3e038587c0e8ee40392753a0b/raw/d901c1e1b6e9651e72c4116cb410e3030c27c038/Topojson.csv';

export const loadData = () => {
  const [data, setData] = useState(null);

   useEffect(() => {
     json(url).then(topology => {
       const { states, nation } = topology.objects;
       setData({
         land: feature(topology, nation),
         interiors: mesh(topology, states, (a, b) => a !== b)
       });
     });
   }, []);

  return data;
};
